import { TiptapEventService } from '../../../services/tiptap-event.service';
import { SelectBaseControl } from './base-control';
export declare class TextAlignControlComponent extends SelectBaseControl {
    protected eventService: TiptapEventService;
    protected canStyleParams: string[];
    constructor(eventService: TiptapEventService);
    setAlign(alignment: 'justify' | 'left' | 'center' | 'right'): void;
    protected canStyle(alignment: 'justify' | 'left' | 'center' | 'right'): boolean;
    protected currentActive(): 'left' | 'right' | 'center' | 'justify' | null;
}
