import { AfterViewInit, OnInit, Renderer2 } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { TiptapService } from '../../services/tiptap.service';
export declare class EditorPreviewComponent implements OnInit, AfterViewInit {
    private tiptapService;
    private domSanitizer;
    private renderer;
    set content(value: object | string | null);
    private contentOutlet;
    private sanitizeHtml;
    private tipTap;
    private _content;
    constructor(tiptapService: TiptapService, domSanitizer: DomSanitizer, renderer: Renderer2);
    ngOnInit(): Promise<void>;
    ngAfterViewInit(): Promise<void>;
    renderOutput(content?: string | object | null): Promise<void>;
}
