import { DialogRef } from '../dialog/dialog.helpers';
import { LinkControlComponent } from '../editor-header/controls/link-control.component';
export declare class LinkSelectComponent {
    private dialogRef;
    data: {
        link: string;
        popupText: string;
        inputPlaceholder: string;
    };
    error: string | null;
    private urlRegex;
    constructor(dialogRef: DialogRef<string, string, LinkControlComponent>, data: {
        link: string;
        popupText: string;
        inputPlaceholder: string;
    });
    submit(value: string, event?: Event): void;
}
