(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common'), require('@angular/forms'), require('@angular/platform-browser'), require('@angular/platform-browser/animations'), require('@angular/animations'), require('rxjs'), require('rxjs/operators')) :
    typeof define === 'function' && define.amd ? define('ngx-tiptap-editor', ['exports', '@angular/core', '@angular/common', '@angular/forms', '@angular/platform-browser', '@angular/platform-browser/animations', '@angular/animations', 'rxjs', 'rxjs/operators'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global['ngx-tiptap-editor'] = {}, global.ng.core, global.ng.common, global.ng.forms, global.ng.platformBrowser, global.ng.platformBrowser.animations, global.ng.animations, global.rxjs, global.rxjs.operators));
}(this, (function (exports, i0, i1, forms, platformBrowser, animations$1, animations, rxjs, operators) { 'use strict';

    function _interopNamespace(e) {
        if (e && e.__esModule) return e;
        var n = Object.create(null);
        if (e) {
            Object.keys(e).forEach(function (k) {
                if (k !== 'default') {
                    var d = Object.getOwnPropertyDescriptor(e, k);
                    Object.defineProperty(n, k, d.get ? d : {
                        enumerable: true,
                        get: function () {
                            return e[k];
                        }
                    });
                }
            });
        }
        n['default'] = e;
        return Object.freeze(n);
    }

    var i0__namespace = /*#__PURE__*/_interopNamespace(i0);
    var i1__namespace = /*#__PURE__*/_interopNamespace(i1);

    var TIP_TAP_EXTENSIONS = new i0.InjectionToken('TIP_TAP_EXTENSIONS');
    var extensionLoaderFactory = function (promiseExtensionList) { return ({
        load: function () { return promiseExtensionList()
            .then(function (e) { return e.default; })
            .then(function (extensionList) { return extensionList.map(function (e) { return e.default; }); }); }
    }); };

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from) {
        for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
            to[j] = from[i];
        return to;
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, state, kind, f) {
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a getter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot read private member from an object whose class did not declare it");
        return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
    }
    function __classPrivateFieldSet(receiver, state, value, kind, f) {
        if (kind === "m")
            throw new TypeError("Private method is not writable");
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a setter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot write private member to an object whose class did not declare it");
        return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
    }

    var FadeInAnimation = animations.trigger('fadeIn', [
        animations.transition(':enter', [
            animations.style({ opacity: 0 }),
            animations.animate('150ms cubic-bezier(.13,1.14,1,.92)', animations.style({ opacity: 1 })),
        ]),
        animations.transition(':leave', [
            animations.animate('150ms cubic-bezier(.13,1.14,1,.92)', animations.style({ opacity: 0 }))
        ])
    ]);

    var PopOverPopUpAnimation = animations.trigger('popUp', [
        animations.transition(':enter', [
            animations.query('.popover-wrapper', [
                animations.style({ opacity: 0, transform: 'translate(-50%, -50%)' }),
                animations.animate('150ms cubic-bezier(.13,1.14,1,.92)', animations.style({ opacity: 1, transform: '*' })),
            ])
        ]),
        animations.transition(':leave', animations.query('.popover-wrapper', [
            animations.animate('150ms cubic-bezier(.13,1.14,1,.92)', animations.style({ opacity: 0, transform: 'translate(-50%, -50%)' })),
        ])),
    ]);
    var OverlayPopUpAnimation = animations.trigger('popUp', [
        animations.transition(':enter', [
            animations.query('.dialog-wrapper', [
                animations.style({ transform: 'translate(-50%, -30%)' }),
                animations.animate('150ms cubic-bezier(.13,1.14,1,.92)', animations.style({ transform: '*' })),
            ])
        ]),
        animations.transition(':leave', animations.query('.dialog-wrapper', [
            animations.animate('150ms cubic-bezier(.13,1.14,1,.92)', animations.style({ transform: 'translate(-50%, -30%)' })),
        ])),
    ]);

    var DIALOG_DATA = new i0.InjectionToken('DIALOG_DATA');
    var DialogRef = /** @class */ (function () {
        /* tslint:enable */
        function DialogRef(_componentInstance, dialogService, dialogComponentRef, config) {
            this._componentInstance = _componentInstance;
            this.dialogService = dialogService;
            this.dialogComponentRef = dialogComponentRef;
            this.config = config;
            /* tslint:disable */
            this.subject$ = new rxjs.Subject();
            this.result$ = this.subject$.asObservable();
            this.status = 'success';
        }
        Object.defineProperty(DialogRef.prototype, "componentInstance", {
            get: function () {
                return this._componentInstance;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(DialogRef.prototype, "dialogConfig", {
            get: function () {
                var copy = Object.assign({}, this.config);
                delete copy.data;
                return copy;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(DialogRef.prototype, "dialogComponent", {
            get: function () {
                return this.dialogComponentRef.component;
            },
            enumerable: false,
            configurable: true
        });
        DialogRef.prototype.setStatus = function (status) {
            this.status = status;
        };
        DialogRef.prototype.closeDialog = function (data) {
            this.dialogService.removeOverlay(this.dialogComponent);
            this.subject$.next({
                data: data,
                status: this.status
            });
            this.subject$.complete();
        };
        return DialogRef;
    }());
    // tslint:disable-next-line:directive-class-suffix
    var DialogBaseClass = /** @class */ (function () {
        function DialogBaseClass() {
            this.destroy$ = new rxjs.Subject();
        }
        DialogBaseClass.prototype.ngOnInit = function () {
            var _this = this;
            this.ngZone.runOutsideAngular(function () {
                rxjs.fromEvent(_this.document, 'keydown').pipe(operators.filter(function (e) { return e.key === 'Escape'; }), operators.takeUntil(_this.destroy$)).subscribe(function () { return _this.ngZone.run(function () { return _this.closeDialog(); }); });
            });
        };
        DialogBaseClass.prototype.ngOnDestroy = function () {
            this.destroy$.next(true);
            this.destroy$.complete();
        };
        DialogBaseClass.prototype.closeDialog = function () {
            if (!this.dialogRef.dialogConfig.autoClose)
                return;
            this.dialogRef.setStatus('canceled');
            this.dialogRef.closeDialog(null);
        };
        return DialogBaseClass;
    }());
    DialogBaseClass.decorators = [
        { type: i0.Directive }
    ];

    // @dynamic
    var DialogComponent = /** @class */ (function (_super) {
        __extends(DialogComponent, _super);
        function DialogComponent(data, document, dialogRef, ngZone) {
            var _this = _super.call(this) || this;
            _this.data = data;
            _this.document = document;
            _this.dialogRef = dialogRef;
            _this.ngZone = ngZone;
            _this.position = {};
            _this.position = _this.calculateStyle();
            return _this;
        }
        DialogComponent.prototype.calculateStyle = function () {
            var config = this.dialogRef.dialogConfig;
            return {
                width: config.width,
                maxWidth: config.maxWidth,
                top: config.position === 'top' ? '20%' : '50%',
            };
        };
        return DialogComponent;
    }(DialogBaseClass));
    DialogComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-dialog',
                    template: "\n    <div class=\"overlay\" (click)=\"closeDialog()\" [ngStyle]=\"{backgroundColor: dialogRef.dialogConfig.backdropColor}\"></div>\n    <div class=\"dialog-wrapper\" [ngStyle]=\"position\">\n      <ng-container *ngIf=\"dialogRef.componentInstance\" [ngComponentOutlet]=\"dialogRef.componentInstance\"></ng-container>\n    </div>\n  ",
                    animations: [FadeInAnimation, OverlayPopUpAnimation],
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    styles: ["\n    .overlay {\n      position: fixed;\n      top: 0;\n      bottom: 0;\n      right: 0;\n      left: 0;\n      z-index: 2000;\n    }\n\n    .dialog-wrapper {\n      left: 50%;\n      position: absolute;\n      transform: translate(-50%, -50%);\n      border-radius: 5px;\n      padding: 10px;\n      z-index: 2000;\n      background-color: var(--tip-background-color);\n    }\n  "]
                },] }
    ];
    DialogComponent.ctorParameters = function () { return [
        { type: undefined, decorators: [{ type: i0.Inject, args: [DIALOG_DATA,] }] },
        { type: Document, decorators: [{ type: i0.Inject, args: [i1.DOCUMENT,] }] },
        { type: DialogRef },
        { type: i0.NgZone }
    ]; };
    DialogComponent.propDecorators = {
        calculateStyle: [{ type: i0.HostBinding, args: ['@fadeIn',] }, { type: i0.HostBinding, args: ['@popUp',] }]
    };

    // @dynamic
    var PopoverComponent = /** @class */ (function (_super) {
        __extends(PopoverComponent, _super);
        function PopoverComponent(data, document, dialogRef, ngZone, cd) {
            var _this = _super.call(this) || this;
            _this.data = data;
            _this.document = document;
            _this.dialogRef = dialogRef;
            _this.ngZone = ngZone;
            _this.cd = cd;
            _this.style = {};
            _this.style = _this.calculateStyle();
            return _this;
        }
        PopoverComponent.prototype.ngAfterViewInit = function () {
            var position = this.popover.nativeElement.getBoundingClientRect();
            var window = this.document.defaultView;
            if (!window)
                return;
            var windowWidth = window.innerWidth;
            var overflowRight = (position.x + position.width) - windowWidth;
            var updateStyles = {};
            if (position.x < 0) {
                updateStyles.transform = "translate(calc(-50% + " + Math.abs(position.x) + "px), -100%)";
            }
            else if (overflowRight > 0) {
                updateStyles.transform = "translate(calc(-50% - " + overflowRight + "px), -100%)";
            }
            if (Object.keys(updateStyles).length > 0) {
                this.style = Object.assign(Object.assign({}, this.style), updateStyles);
                this.cd.detectChanges();
            }
        };
        PopoverComponent.prototype.calculateStyle = function () {
            var config = this.dialogRef.dialogConfig;
            return {
                'top.px': config.position.y,
                'left.px': config.position.x,
            };
        };
        return PopoverComponent;
    }(DialogBaseClass));
    PopoverComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-popover',
                    template: "\n    <div class=\"popover-wrapper\" [ngStyle]=\"style\" #popover>\n      <ng-container *ngIf=\"dialogRef.componentInstance\" [ngComponentOutlet]=\"dialogRef.componentInstance\"></ng-container>\n    </div>",
                    animations: [PopOverPopUpAnimation],
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    styles: ["\n    .popover-wrapper {\n      border-radius: 5px;\n      background-color: var(--tip-background-color);\n      position: fixed;\n      transform: translate(-50%, -100%);\n      border: solid 1px var(--tip-border-color);\n      padding: 5px;\n      z-index: 2000;\n    }"]
                },] }
    ];
    PopoverComponent.ctorParameters = function () { return [
        { type: undefined, decorators: [{ type: i0.Inject, args: [DIALOG_DATA,] }] },
        { type: Document, decorators: [{ type: i0.Inject, args: [i1.DOCUMENT,] }] },
        { type: DialogRef },
        { type: i0.NgZone },
        { type: i0.ChangeDetectorRef }
    ]; };
    PopoverComponent.propDecorators = {
        popover: [{ type: i0.ViewChild, args: ['popover',] }],
        ngAfterViewInit: [{ type: i0.HostBinding, args: ['@popUp',] }]
    };

    var EditorBodyComponent = /** @class */ (function () {
        function EditorBodyComponent() {
            this.minHeight = '';
            this.maxHeight = '';
            this.editor = null;
            this._editorElement = null;
        }
        Object.defineProperty(EditorBodyComponent.prototype, "editorElement", {
            get: function () {
                return this._editorElement ? this._editorElement.nativeElement : null;
            },
            enumerable: false,
            configurable: true
        });
        EditorBodyComponent.prototype.setEditor = function (tiptapEditor) {
            this.editor = tiptapEditor;
        };
        Object.defineProperty(EditorBodyComponent.prototype, "height", {
            get: function () {
                if (this.minHeight && !this.maxHeight || this.maxHeight && !this.minHeight) {
                    console.warn('You have to set minHeight and maxHeight of the tip-editor-body for it to work properly.\n' +
                        'The values however can be the same');
                    return '';
                }
                else if (!this.minHeight && !this.maxHeight) {
                    return '';
                }
                return '200vh';
            },
            enumerable: false,
            configurable: true
        });
        return EditorBodyComponent;
    }());
    EditorBodyComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-editor-body, tip-editor-body[minHeight][maxHeight]',
                    template: "\n    <div class=\"editor-body\" [ngStyle]=\"{minHeight: minHeight, maxHeight: maxHeight, height: height}\">\n      <div #editorBody style=\"height: 100%\"></div>\n    </div>\n  ",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    styles: [".editor-body{border:1px solid var(--tip-border-color);overflow:auto;padding:1rem}::ng-deep .ProseMirror>:first-child{margin-top:0}::ng-deep .ProseMirror>:last-child{margin-bottom:0}"]
                },] }
    ];
    EditorBodyComponent.propDecorators = {
        minHeight: [{ type: i0.Input }],
        maxHeight: [{ type: i0.Input }],
        _editorElement: [{ type: i0.ViewChild, args: ['editorBody', { static: true },] }]
    };

    var TiptapEventService = /** @class */ (function () {
        /* tslint:enable */
        function TiptapEventService(ngZone) {
            this.ngZone = ngZone;
            this.clickSubject = new rxjs.Subject();
            this.keyboardSubject = new rxjs.Subject();
            this.clickSubscription = null;
            this.keyboardSubscription = null;
            /* tslint:disable */
            this.update$ = rxjs.merge(this.clickSubject, this.keyboardSubject);
            this.onClick$ = this.clickSubject.asObservable();
            this.onKeyboard$ = this.keyboardSubject.asObservable();
        }
        TiptapEventService.prototype.registerShortcut = function (shortcut) {
            var parts = shortcut.split('-');
            var key = parts[parts.length - 1];
            if (key === 'Space')
                key = ' ';
            var keyCodeSmall = key.toUpperCase().charCodeAt(0);
            var keyCodeLarge = key.toLowerCase().charCodeAt(0);
            var hasAlt = parts.includes('Alt');
            var hasShift = parts.includes('Shift');
            var hasMod = parts.includes('Mod');
            var hasCtrl = parts.includes('Ctrl');
            var hasCmd = parts.includes('Cmd');
            return this.onKeyboard$.pipe(operators.filter(function (e) { return (
            // Check the keycode against the large and small letter (I hate you apple)
            (e.keyCode === keyCodeSmall || e.keyCode === keyCodeLarge) &&
                e.altKey === hasAlt &&
                e.shiftKey === hasShift &&
                // Check if the meta key was pressed, or the combined mod is allowed  (I really, really, hate you apple)
                (
                // Both ctrl and command key
                hasMod && (e.ctrlKey && !e.metaKey || !e.ctrlKey && e.metaKey)
                    // Only ctrl or command key
                    || e.ctrlKey === hasCtrl && e.metaKey === hasCmd && !hasMod)); }));
        };
        TiptapEventService.prototype.setElement = function (element) {
            var _this = this;
            this.ngZone.runOutsideAngular(function () {
                var _a, _b;
                (_a = _this.clickSubscription) === null || _a === void 0 ? void 0 : _a.unsubscribe();
                (_b = _this.keyboardSubscription) === null || _b === void 0 ? void 0 : _b.unsubscribe();
                _this.clickSubscription = rxjs.fromEvent(element, 'click').subscribe(function (e) { return _this.clickSubject.next(e); });
                _this.keyboardSubscription = rxjs.fromEvent(element, 'keydown').subscribe(function (e) { return _this.keyboardSubject.next(e); });
            });
        };
        return TiptapEventService;
    }());
    TiptapEventService.ɵprov = i0__namespace.ɵɵdefineInjectable({ factory: function TiptapEventService_Factory() { return new TiptapEventService(i0__namespace.ɵɵinject(i0__namespace.NgZone)); }, token: TiptapEventService, providedIn: "root" });
    TiptapEventService.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    TiptapEventService.ctorParameters = function () { return [
        { type: i0.NgZone }
    ]; };

    var ExpandHeight = animations.trigger('expandHeight', [
        animations.transition(':enter', [
            animations.style({ height: '0' }),
            animations.animate('100ms cubic-bezier(.13,1.14,1,.92)', animations.style({ height: '*' })),
        ]),
        animations.transition(':leave', animations.animate('100ms cubic-bezier(.13,1.14,1,.92)', animations.style({ height: '0' })))
    ]);

    var OptionComponent = /** @class */ (function () {
        function OptionComponent(element) {
            this.element = element;
            this.onSelect = new i0.EventEmitter();
            this.enforceHeight = false;
            this.useHtml = false;
            this._disabled = false;
        }
        Object.defineProperty(OptionComponent.prototype, "disabled", {
            set: function (value) {
                if (this.option && value) {
                    this.option.nativeElement.setAttribute('disabled', 'true');
                }
                else {
                    this.option && this.option.nativeElement.removeAttribute('disabled');
                }
                this._disabled = false;
            },
            enumerable: false,
            configurable: true
        });
        OptionComponent.prototype.setSelected = function (value) {
            this.addOrRemoveClass(value, 'active');
        };
        OptionComponent.prototype.emit = function ($event) {
            $event.preventDefault();
            this.onSelect.emit(this);
        };
        OptionComponent.prototype.getContent = function () {
            return this.useHtml ? this.element.nativeElement.innerHTML : this.element.nativeElement.textContent;
        };
        OptionComponent.prototype.addOrRemoveClass = function (add, className) {
            var operation = add ? 'add' : 'remove';
            this.option && this.option.nativeElement.classList[operation](className);
        };
        return OptionComponent;
    }());
    OptionComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-option[value]',
                    template: "\n    <button (click)=\"emit($event)\" (keydown.enter)=\"emit($event)\"\n            class=\"select-option select-overflow-wrapper\" #option>\n      <ng-content></ng-content>\n    </button>",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    styles: [":host-context(tip-select){display:flex}.select-wrapper{position:relative;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;outline-offset:-1}.select-preview,.select-wrapper{display:inline-flex;align-items:center}.select-preview{overflow:hidden;box-sizing:border-box;width:100%;height:var(--tip-select-preview-height);padding:0 .2rem;cursor:pointer;border:1px solid var(--tip-border-color)}.select-preview:focus{color:var(--tip-active-color)}.select-preview.icon-placeholder{padding-right:var(--tip-select-preview-height)}.select-overflow-wrapper{overflow:hidden;box-sizing:border-box;width:100%;white-space:nowrap;display:flex;align-items:center;text-overflow:ellipsis}.select-options-overlay{position:absolute;z-index:1;top:0;width:100%;cursor:pointer;transform:translateY(var(--tip-select-preview-height));background-color:var(--tip-background-color);overflow-y:hidden}.select-icon{position:absolute;top:50%;right:0;height:var(--tip-select-preview-height);transform:translateY(-50%);transition:rotate .3s;fill:var(--tip-text-color)}.select-icon.rotate180{transform:rotate(180deg) translateY(50%)}::ng-deep tip-select .select-preview-content,::ng-deep tip-select .select-preview-content>.select-option{height:var(--tip-select-preview-height)}.select-option{padding:.2rem;transition:color .3s;border:1px solid var(--tip-border-color);border-top:none;background-color:transparent;color:var(--tip-text-color)}.select-option[disabled]{color:var(--tip-border-color)}.select-option:not([disabled]){cursor:pointer}.select-option:not([disabled]).tip-active,.select-option:not([disabled]):focus,.select-option:not([disabled]):hover{color:var(--tip-active-color)}"]
                },] }
    ];
    OptionComponent.ctorParameters = function () { return [
        { type: i0.ElementRef }
    ]; };
    OptionComponent.propDecorators = {
        disabled: [{ type: i0.Input }],
        value: [{ type: i0.Input }],
        enforceHeight: [{ type: i0.Input }],
        useHtml: [{ type: i0.Input }],
        option: [{ type: i0.ViewChild, args: ['option',] }]
    };
    // @dynamic
    var SelectComponent = /** @class */ (function () {
        function SelectComponent(cd, element, ngZone, renderer2, sanitizer, document) {
            this.cd = cd;
            this.element = element;
            this.ngZone = ngZone;
            this.renderer2 = renderer2;
            this.sanitizer = sanitizer;
            this.document = document;
            this.width = '150px';
            this.placeholder = '';
            this.defaultValue = '';
            this.showIcon = true;
            // tslint:disable-next-line:no-output-native
            this.change = new i0.EventEmitter();
            // Is the dropdown visible
            this.visible = false;
            this.destroy$ = new rxjs.Subject();
        }
        Object.defineProperty(SelectComponent.prototype, "value", {
            get: function () {
                return this._value;
            },
            set: function (value) {
                // Nothing changed
                if (value === this._value)
                    return;
                this._value = value;
                this.updateComponent(false);
            },
            enumerable: false,
            configurable: true
        });
        SelectComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.ngZone.runOutsideAngular(function () {
                rxjs.fromEvent(_this.document, 'keyup').pipe(operators.filter(function (e) { return e.key === 'Escape'; }), operators.filter(function () { return _this.visible; }), operators.takeUntil(_this.destroy$)).subscribe(function () {
                    _this.ngZone.run(function () {
                        _this.visible = false;
                        _this.cd.markForCheck();
                    });
                });
                rxjs.fromEvent(_this.document, 'click').pipe(operators.filter(function (e) { return !_this.element.nativeElement.contains(e.target) && _this.visible; }), operators.takeUntil(_this.destroy$)).subscribe(function (e) {
                    console.log(_this.element.nativeElement, _this.element.nativeElement.contains(e.target));
                    _this.ngZone.run(function () {
                        _this.visible = false;
                        _this.cd.markForCheck();
                    });
                });
            });
        };
        SelectComponent.prototype.ngAfterViewInit = function () {
            var _this = this;
            // Subscribe to click events on the options
            var options = this.optionList;
            this.optionList.changes.pipe(operators.startWith.apply(void 0, __spread(options)), operators.switchMap(function () { return rxjs.merge.apply(void 0, __spread(options.map(function (o) { return o.onSelect; }))); }), operators.takeUntil(this.destroy$)).subscribe(function (component) {
                // Nothing changed
                if (_this._value === component.value)
                    return;
                _this._value = component.value;
                _this.visible = false;
                _this.updateComponent(true);
            });
            // Update the selected value for the initial select
            this.updateComponent(false);
        };
        SelectComponent.prototype.ngOnDestroy = function () {
            this.destroy$.next();
            this.destroy$.complete();
        };
        SelectComponent.prototype.toggle = function ($event) {
            $event.stopPropagation();
            this.visible = !this.visible;
        };
        /**
         * Select the current component depending on the selected value
         * @param emitUpdate Should the change be propagated
         */
        SelectComponent.prototype.updateComponent = function (emitUpdate) {
            var _this = this;
            var _a;
            // No options => no update
            if (!this.optionList)
                return;
            // If no value is provided use the default value
            if (!this.value && this.defaultValue) {
                this._value = this.defaultValue;
            }
            // Deselect all
            this.optionList.forEach(function (o) { return o.setSelected(false); });
            // Select right one
            var selectedComponent = this.optionList.find(function (o) { return o.value === _this._value; });
            var previewText = this.placeholder;
            // A component is selected, so select the component
            if (selectedComponent) {
                selectedComponent.setSelected(true);
                previewText = selectedComponent.getContent();
                emitUpdate && this.change.emit(selectedComponent.value);
            }
            var sanitizedHtml = this.sanitizer.sanitize(i0.SecurityContext.HTML, previewText);
            this.selectPreview && this.renderer2.setProperty((_a = this.selectPreview) === null || _a === void 0 ? void 0 : _a.nativeElement, 'innerHTML', sanitizedHtml);
        };
        return SelectComponent;
    }());
    SelectComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-select',
                    template: "<div [ngStyle]=\"{width: width}\" class=\"select-wrapper\">\n  <div (click)=\"toggle($event)\" (keydown.enter)=\"toggle($event)\" [class.icon-placeholder]=\"showIcon\"\n       class=\"select-preview\"\n       tabindex=\"0\">\n    <div #selectPreview\n         class=\"select-overflow-wrapper select-preview-content\">\n    </div>\n    <i *ngIf=\"showIcon\" [class.rotate180]=\"visible\" class=\"select-icon\">\n      <svg focusable=\"false\" height=\"24px\" viewBox=\"0 0 24 24\" width=\"24px\">\n        <path d=\"M7 10l5 5 5-5z\"/>\n      </svg>\n    </i>\n  </div>\n  <div *ngIf=\"visible\" class=\"select-options-overlay\" @expandHeight>\n    <ng-content></ng-content>\n  </div>\n</div>\n\n",
                    animations: [FadeInAnimation, ExpandHeight],
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    styles: [":host-context(tip-select){display:flex}.select-wrapper{position:relative;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;outline-offset:-1}.select-preview,.select-wrapper{display:inline-flex;align-items:center}.select-preview{overflow:hidden;box-sizing:border-box;width:100%;height:var(--tip-select-preview-height);padding:0 .2rem;cursor:pointer;border:1px solid var(--tip-border-color)}.select-preview:focus{color:var(--tip-active-color)}.select-preview.icon-placeholder{padding-right:var(--tip-select-preview-height)}.select-overflow-wrapper{overflow:hidden;box-sizing:border-box;width:100%;white-space:nowrap;display:flex;align-items:center;text-overflow:ellipsis}.select-options-overlay{position:absolute;z-index:1;top:0;width:100%;cursor:pointer;transform:translateY(var(--tip-select-preview-height));background-color:var(--tip-background-color);overflow-y:hidden}.select-icon{position:absolute;top:50%;right:0;height:var(--tip-select-preview-height);transform:translateY(-50%);transition:rotate .3s;fill:var(--tip-text-color)}.select-icon.rotate180{transform:rotate(180deg) translateY(50%)}::ng-deep tip-select .select-preview-content,::ng-deep tip-select .select-preview-content>.select-option{height:var(--tip-select-preview-height)}.select-option{padding:.2rem;transition:color .3s;border:1px solid var(--tip-border-color);border-top:none;background-color:transparent;color:var(--tip-text-color)}.select-option[disabled]{color:var(--tip-border-color)}.select-option:not([disabled]){cursor:pointer}.select-option:not([disabled]).tip-active,.select-option:not([disabled]):focus,.select-option:not([disabled]):hover{color:var(--tip-active-color)}"]
                },] }
    ];
    SelectComponent.ctorParameters = function () { return [
        { type: i0.ChangeDetectorRef },
        { type: i0.ElementRef },
        { type: i0.NgZone },
        { type: i0.Renderer2 },
        { type: platformBrowser.DomSanitizer },
        { type: Document, decorators: [{ type: i0.Inject, args: [i1.DOCUMENT,] }] }
    ]; };
    SelectComponent.propDecorators = {
        value: [{ type: i0.Input }],
        width: [{ type: i0.Input }],
        placeholder: [{ type: i0.Input }],
        defaultValue: [{ type: i0.Input }],
        showIcon: [{ type: i0.Input }],
        change: [{ type: i0.Output }],
        optionList: [{ type: i0.ContentChildren, args: [OptionComponent, { descendants: true },] }],
        selectPreview: [{ type: i0.ViewChild, args: ['selectPreview',] }]
    };

    var BaseControl = /** @class */ (function () {
        function BaseControl() {
            this._editor = null;
        }
        Object.defineProperty(BaseControl.prototype, "editor", {
            get: function () {
                return this._editor;
            },
            enumerable: false,
            configurable: true
        });
        BaseControl.prototype.setEditor = function (editor) {
            this._editor = editor;
            this.onEditorReady && this.onEditorReady(editor);
        };
        return BaseControl;
    }());
    // tslint:disable-next-line:directive-class-suffix
    var ExtendedBaseControl = /** @class */ (function (_super) {
        __extends(ExtendedBaseControl, _super);
        function ExtendedBaseControl() {
            var _this = _super.apply(this, __spread(arguments)) || this;
            _this.destroy$ = new rxjs.Subject();
            return _this;
        }
        ExtendedBaseControl.prototype.ngOnDestroy = function () {
            this.destroy$.next(true);
            this.destroy$.complete();
        };
        ExtendedBaseControl.prototype.isEditable = function () {
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.isEditable);
        };
        return ExtendedBaseControl;
    }(BaseControl));
    ExtendedBaseControl.decorators = [
        { type: i0.Directive }
    ];
    // tslint:disable-next-line:directive-class-suffix
    var ButtonBaseControl = /** @class */ (function (_super) {
        __extends(ButtonBaseControl, _super);
        function ButtonBaseControl() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        ButtonBaseControl.prototype.ngOnInit = function () {
            var _this = this;
            this.eventService.update$
                .pipe(operators.takeUntil(this.destroy$))
                .subscribe(function () { return _this.updateButton(); });
        };
        ButtonBaseControl.prototype.ngAfterViewInit = function () {
            if (!this.button && i0.isDevMode()) {
                console.warn("The button element in your control could not be found in " + this.constructor.name + "\nPlease add #button to your control button element");
            }
        };
        ButtonBaseControl.prototype.setEditor = function (editor) {
            _super.prototype.setEditor.call(this, editor);
            this.updateButton();
        };
        ButtonBaseControl.prototype.updateButton = function () {
            return __awaiter(this, void 0, void 0, function () {
                var activeAction;
                return __generator(this, function (_b) {
                    switch (_b.label) {
                        case 0:
                            if (!this.button)
                                return [2 /*return*/];
                            return [4 /*yield*/, this.isActive()];
                        case 1:
                            activeAction = (_b.sent()) ? 'add' : 'remove';
                            this.button.nativeElement.classList[activeAction]('tip-active');
                            return [4 /*yield*/, this.can()];
                        case 2:
                            if ((_b.sent()) && this.isEditable()) {
                                this.button.nativeElement.removeAttribute('disabled');
                            }
                            else {
                                this.button.nativeElement.setAttribute('disabled', 'true');
                            }
                            return [2 /*return*/];
                    }
                });
            });
        };
        return ButtonBaseControl;
    }(ExtendedBaseControl));
    ButtonBaseControl.decorators = [
        { type: i0.Directive }
    ];
    ButtonBaseControl.propDecorators = {
        button: [{ type: i0.ViewChild, args: ['button',] }]
    };
    // tslint:disable-next-line:directive-class-suffix
    var SelectBaseControl = /** @class */ (function (_super) {
        __extends(SelectBaseControl, _super);
        function SelectBaseControl() {
            var _this = _super.apply(this, __spread(arguments)) || this;
            _this.canStyleParams = [];
            return _this;
        }
        SelectBaseControl.prototype.ngOnInit = function () {
            var _this = this;
            this.eventService.update$.pipe(operators.takeUntil(this.destroy$)).subscribe(function () {
                _this.updateSelectValue();
                _this.updateDisabledValue();
            });
        };
        SelectBaseControl.prototype.ngAfterViewInit = function () {
            if (!i0.isDevMode() && !this.select) {
                console.warn("The select element in your control could not be found in " + this.constructor.name + "\nPlease make sure you have a tip-select in your component");
            }
        };
        SelectBaseControl.prototype.setEditor = function (editor) {
            _super.prototype.setEditor.call(this, editor);
            this.updateSelectValue();
            this.updateDisabledValue();
        };
        SelectBaseControl.prototype.updateSelectValue = function () {
            return __awaiter(this, void 0, void 0, function () {
                var _b;
                return __generator(this, function (_c) {
                    switch (_c.label) {
                        case 0:
                            _b = this.select;
                            return [4 /*yield*/, this.currentActive()];
                        case 1:
                            _b.value = _c.sent();
                            return [2 /*return*/];
                    }
                });
            });
        };
        SelectBaseControl.prototype.updateDisabledValue = function () {
            return __awaiter(this, void 0, void 0, function () {
                var optionsList, _b, _c, _d, index, param, option, _e, e_1_1;
                var e_1, _f;
                return __generator(this, function (_g) {
                    switch (_g.label) {
                        case 0:
                            optionsList = this.options.toArray();
                            _g.label = 1;
                        case 1:
                            _g.trys.push([1, 6, 7, 8]);
                            _b = __values(this.canStyleParams.entries()), _c = _b.next();
                            _g.label = 2;
                        case 2:
                            if (!!_c.done) return [3 /*break*/, 5];
                            _d = __read(_c.value, 2), index = _d[0], param = _d[1];
                            option = optionsList[index];
                            if (!option)
                                return [3 /*break*/, 4];
                            _e = option;
                            return [4 /*yield*/, this.canStyle(param)];
                        case 3:
                            _e.disabled = !((_g.sent()) && this.isEditable());
                            _g.label = 4;
                        case 4:
                            _c = _b.next();
                            return [3 /*break*/, 2];
                        case 5: return [3 /*break*/, 8];
                        case 6:
                            e_1_1 = _g.sent();
                            e_1 = { error: e_1_1 };
                            return [3 /*break*/, 8];
                        case 7:
                            try {
                                if (_c && !_c.done && (_f = _b.return)) _f.call(_b);
                            }
                            finally { if (e_1) throw e_1.error; }
                            return [7 /*endfinally*/];
                        case 8: return [2 /*return*/];
                    }
                });
            });
        };
        return SelectBaseControl;
    }(ExtendedBaseControl));
    SelectBaseControl.decorators = [
        { type: i0.Directive }
    ];
    SelectBaseControl.propDecorators = {
        select: [{ type: i0.ViewChild, args: [SelectComponent,] }],
        options: [{ type: i0.ViewChildren, args: [OptionComponent,] }]
    };

    var BoldControlComponent = /** @class */ (function (_super) {
        __extends(BoldControlComponent, _super);
        function BoldControlComponent(eventService) {
            var _this = _super.call(this) || this;
            _this.eventService = eventService;
            return _this;
        }
        BoldControlComponent.prototype.toggleBold = function () {
            this.editor && this.editor.chain().focus().toggleBold().run();
        };
        BoldControlComponent.prototype.isActive = function () {
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.isActive('bold'));
        };
        BoldControlComponent.prototype.can = function () {
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.can().toggleBold());
        };
        return BoldControlComponent;
    }(ButtonBaseControl));
    BoldControlComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-bold-control',
                    template: "\n    <button (click)=\"toggleBold()\" #button>\n      <div class=\"content-wrapper\" #ref>\n        <ng-content #ref></ng-content>\n      </div>\n      <i *ngIf=\"ref.childNodes.length === 0\" class=\"material-icons\">format_bold</i>\n    </button>\n  ",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    providers: [{ provide: BaseControl, useExisting: i0.forwardRef(function () { return BoldControlComponent; }) }],
                    styles: [":host-context{display:contents}.tip-active{color:var(--tip-active-color)}button{display:inline-flex;align-items:center;justify-content:center;cursor:pointer;border:none;background-color:var(--tip-background-color);color:var(--tip-text-color)}button:focus,button:hover{color:var(--tip-active-color)}button[disabled]{color:var(--tip-disabled-color);cursor:default}.content-wrapper{display:contents}"]
                },] }
    ];
    BoldControlComponent.ctorParameters = function () { return [
        { type: TiptapEventService }
    ]; };

    var BulletListControlComponent = /** @class */ (function (_super) {
        __extends(BulletListControlComponent, _super);
        function BulletListControlComponent(eventService) {
            var _this = _super.call(this) || this;
            _this.eventService = eventService;
            return _this;
        }
        BulletListControlComponent.prototype.toggleList = function () {
            this.editor && this.editor.chain().focus().toggleBulletList().run();
        };
        BulletListControlComponent.prototype.can = function () {
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.can().toggleBulletList());
        };
        BulletListControlComponent.prototype.isActive = function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.isActive('bulletList'));
        };
        return BulletListControlComponent;
    }(ButtonBaseControl));
    BulletListControlComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-bullet-list-control',
                    template: "\n    <button (click)=\"toggleList()\" #button>\n      <div class=\"content-wrapper\" #ref>\n        <ng-content #ref></ng-content>\n      </div>\n      <i *ngIf=\"ref.childNodes.length === 0\" class=\"material-icons\">format_list_bulleted</i>\n    </button>",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    providers: [{ provide: BaseControl, useExisting: i0.forwardRef(function () { return BulletListControlComponent; }) }],
                    styles: [":host-context{display:contents}.tip-active{color:var(--tip-active-color)}button{display:inline-flex;align-items:center;justify-content:center;cursor:pointer;border:none;background-color:var(--tip-background-color);color:var(--tip-text-color)}button:focus,button:hover{color:var(--tip-active-color)}button[disabled]{color:var(--tip-disabled-color);cursor:default}.content-wrapper{display:contents}"]
                },] }
    ];
    BulletListControlComponent.ctorParameters = function () { return [
        { type: TiptapEventService }
    ]; };

    var CodeBlockControlComponent = /** @class */ (function (_super) {
        __extends(CodeBlockControlComponent, _super);
        function CodeBlockControlComponent(eventService) {
            var _this = _super.call(this) || this;
            _this.eventService = eventService;
            return _this;
        }
        CodeBlockControlComponent.prototype.toggleCodeBlock = function () {
            this.editor && this.editor.chain().focus().toggleCodeBlock().run();
        };
        CodeBlockControlComponent.prototype.can = function () {
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.can().toggleCodeBlock());
        };
        CodeBlockControlComponent.prototype.isActive = function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.isActive('codeBlock'));
        };
        return CodeBlockControlComponent;
    }(ButtonBaseControl));
    CodeBlockControlComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-code-block-control',
                    template: "\n    <button (click)=\"toggleCodeBlock()\" #button>\n      <div class=\"content-wrapper\" #ref>\n        <ng-content #ref></ng-content>\n      </div>\n      <i *ngIf=\"ref.childNodes.length === 0\" class=\"material-icons\">integration_instructions</i>\n    </button>",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    providers: [{ provide: BaseControl, useExisting: i0.forwardRef(function () { return CodeBlockControlComponent; }) }],
                    styles: [":host-context{display:contents}.tip-active{color:var(--tip-active-color)}button{display:inline-flex;align-items:center;justify-content:center;cursor:pointer;border:none;background-color:var(--tip-background-color);color:var(--tip-text-color)}button:focus,button:hover{color:var(--tip-active-color)}button[disabled]{color:var(--tip-disabled-color);cursor:default}.content-wrapper{display:contents}"]
                },] }
    ];
    CodeBlockControlComponent.ctorParameters = function () { return [
        { type: TiptapEventService }
    ]; };

    var CodeControlComponent = /** @class */ (function (_super) {
        __extends(CodeControlComponent, _super);
        function CodeControlComponent(eventService) {
            var _this = _super.call(this) || this;
            _this.eventService = eventService;
            return _this;
        }
        CodeControlComponent.prototype.toggleCode = function () {
            this.editor && this.editor.chain().focus().toggleCode().run();
        };
        CodeControlComponent.prototype.can = function () {
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.can().toggleCode());
        };
        CodeControlComponent.prototype.isActive = function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.isActive('code'));
        };
        return CodeControlComponent;
    }(ButtonBaseControl));
    CodeControlComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-code-control',
                    template: "\n    <button (click)=\"toggleCode()\" #button>\n      <div class=\"content-wrapper\" #ref>\n        <ng-content #ref></ng-content>\n      </div>\n      <i *ngIf=\"ref.childNodes.length === 0\" class=\"material-icons\">code</i>\n    </button>",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    providers: [{ provide: BaseControl, useExisting: i0.forwardRef(function () { return CodeControlComponent; }) }],
                    styles: [":host-context{display:contents}.tip-active{color:var(--tip-active-color)}button{display:inline-flex;align-items:center;justify-content:center;cursor:pointer;border:none;background-color:var(--tip-background-color);color:var(--tip-text-color)}button:focus,button:hover{color:var(--tip-active-color)}button[disabled]{color:var(--tip-disabled-color);cursor:default}.content-wrapper{display:contents}"]
                },] }
    ];
    CodeControlComponent.ctorParameters = function () { return [
        { type: TiptapEventService }
    ]; };

    var findExtension = function (editor, name) {
        return editor.extensionManager.extensions.find(function (e) { return e.name === name; });
    };
    var ɵ0$1 = findExtension;
    var getHeadingsExtension = function (editor) {
        return findExtension(editor, 'heading');
    };
    var newUIntArrives = function (source) {
        var last = -1;
        return source.pipe(operators.filter(function (num) { return num !== last; }), operators.tap(function (num) { return last = num; }));
    };
    var sleep = function (ms) { return new Promise(function (resolve) { return setTimeout(resolve, ms); }); };
    var fromEditorEvent = function (editor, event) {
        return new rxjs.Observable(function (observer) {
            var callback = function () {
                var params = [];
                for (var _i = 0; _i < arguments.length; _i++) {
                    params[_i] = arguments[_i];
                }
                observer.next.apply(observer, __spread(params));
            };
            editor.on(event, callback);
            return function () {
                editor.off(event, callback);
            };
        });
    };
    function asyncFilter(predicate) {
        var count = 0;
        return rxjs.pipe(
        // Convert the predicate Promise<boolean> to an observable (which resolves the promise,
        // Then combine the boolean result of the promise with the input data to a container object
        operators.concatMap(function (data) {
            return rxjs.from(predicate(data, count++))
                .pipe(operators.map(function (isValid) { return ({ filterResult: isValid, entry: data }); }));
        }), 
        // Filter the container object synchronously for the value in each data container object
        operators.filter(function (data) { return data.filterResult; }), 
        // remove the data container object from the observable chain
        operators.map(function (data) { return data.entry; }));
    }

    var isHeading = function (level) { return typeof level === 'number'; };
    var ɵ0 = isHeading;
    var FormatControlComponent = /** @class */ (function (_super) {
        __extends(FormatControlComponent, _super);
        function FormatControlComponent(eventService, cd) {
            var _this = _super.call(this) || this;
            _this.eventService = eventService;
            _this.cd = cd;
            _this.levels = [];
            _this.headingHtml = {};
            _this.canStyleParams = [];
            return _this;
        }
        FormatControlComponent.prototype.setEditor = function (editor) {
            _super.prototype.setEditor.call(this, editor);
            this.levels = getHeadingsExtension(editor).options.levels;
            this.canStyleParams = __spread(this.levels, ['paragraph']);
            this.headingHtml = __spread(this.levels).reduce(function (previousValue, currentValue) {
                previousValue[currentValue] = "<h" + currentValue + " class=\"no-margin light-font\">Heading " + currentValue + "</h" + currentValue + ">";
                return previousValue;
            }, {});
            this.cd.detectChanges();
        };
        FormatControlComponent.prototype.selectTextLevel = function (format) {
            if (isHeading(format)) {
                this.setHeading(format);
            }
            else {
                this.setParagraph();
            }
        };
        FormatControlComponent.prototype.canStyle = function (format) {
            if (!this.editor)
                return false;
            if (isHeading(format)) {
                return this.editor.can().chain().setHeading({ level: format }).run();
            }
            else {
                return this.editor.can().chain().setParagraph().run();
            }
        };
        FormatControlComponent.prototype.currentActive = function () {
            if (this.editor) {
                var headingAttributes = this.editor.getAttributes('heading');
                if (headingAttributes.level)
                    return headingAttributes.level;
                if (this.editor.isActive('paragraph'))
                    return 'paragraph';
            }
            return null;
        };
        FormatControlComponent.prototype.setParagraph = function () {
            this.editor && this.editor.chain().setParagraph().run();
        };
        FormatControlComponent.prototype.setHeading = function (headingLevel) {
            this.editor && this.editor.chain().focus().setHeading({ level: headingLevel }).focus().run();
        };
        return FormatControlComponent;
    }(SelectBaseControl));
    FormatControlComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-format-control',
                    template: "\n    <tip-select (change)=\"selectTextLevel($event)\" defaultValue=\"paragraph\">\n      <tip-option *ngFor=\"let level of levels\" [value]=\"level\">\n        <div [innerHTML]=\"headingHtml[level]\"></div>\n      </tip-option>\n      <tip-option value=\"paragraph\">Paragraph</tip-option>\n    </tip-select>\n  ",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    providers: [{ provide: BaseControl, useExisting: i0.forwardRef(function () { return FormatControlComponent; }) }],
                    styles: [":host-context{display:contents}.tip-active{color:var(--tip-active-color)}button{display:inline-flex;align-items:center;justify-content:center;cursor:pointer;border:none;background-color:var(--tip-background-color);color:var(--tip-text-color)}button:focus,button:hover{color:var(--tip-active-color)}button[disabled]{color:var(--tip-disabled-color);cursor:default}.content-wrapper{display:contents}"]
                },] }
    ];
    FormatControlComponent.ctorParameters = function () { return [
        { type: TiptapEventService },
        { type: i0.ChangeDetectorRef }
    ]; };

    var HorizontalRuleControlComponent = /** @class */ (function (_super) {
        __extends(HorizontalRuleControlComponent, _super);
        function HorizontalRuleControlComponent(eventService) {
            var _this = _super.call(this) || this;
            _this.eventService = eventService;
            return _this;
        }
        HorizontalRuleControlComponent.prototype.addHorizontalRule = function () {
            this.editor && this.editor.chain().focus().setHorizontalRule().run();
        };
        HorizontalRuleControlComponent.prototype.can = function () {
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.can().setHorizontalRule());
        };
        HorizontalRuleControlComponent.prototype.isActive = function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            return false;
        };
        return HorizontalRuleControlComponent;
    }(ButtonBaseControl));
    HorizontalRuleControlComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-hr-control',
                    template: "\n    <button (click)=\"addHorizontalRule()\" #button>\n      <div class=\"content-wrapper\" #ref>\n        <ng-content #ref></ng-content>\n      </div>\n      <i *ngIf=\"ref.childNodes.length === 0\" class=\"material-icons\">horizontal_rule</i>\n    </button>",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    providers: [{ provide: BaseControl, useExisting: i0.forwardRef(function () { return HorizontalRuleControlComponent; }) }],
                    styles: [":host-context{display:contents}.tip-active{color:var(--tip-active-color)}button{display:inline-flex;align-items:center;justify-content:center;cursor:pointer;border:none;background-color:var(--tip-background-color);color:var(--tip-text-color)}button:focus,button:hover{color:var(--tip-active-color)}button[disabled]{color:var(--tip-disabled-color);cursor:default}.content-wrapper{display:contents}"]
                },] }
    ];
    HorizontalRuleControlComponent.ctorParameters = function () { return [
        { type: TiptapEventService }
    ]; };

    var ItalicControlComponent = /** @class */ (function (_super) {
        __extends(ItalicControlComponent, _super);
        function ItalicControlComponent(eventService) {
            var _this = _super.call(this) || this;
            _this.eventService = eventService;
            return _this;
        }
        ItalicControlComponent.prototype.toggleItalic = function () {
            this.editor && this.editor.chain().focus().toggleItalic().run();
        };
        ItalicControlComponent.prototype.isActive = function () {
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.isActive('italic'));
        };
        ItalicControlComponent.prototype.can = function () {
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.can().toggleItalic());
        };
        return ItalicControlComponent;
    }(ButtonBaseControl));
    ItalicControlComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-italic-control',
                    template: "\n    <button (click)=\"toggleItalic()\" #button>\n      <div class=\"content-wrapper\" #ref>\n        <ng-content #ref></ng-content>\n      </div>\n      <i *ngIf=\"ref.childNodes.length === 0\" class=\"material-icons\">format_italic</i>\n    </button>",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    providers: [{ provide: BaseControl, useExisting: i0.forwardRef(function () { return ItalicControlComponent; }) }],
                    styles: [":host-context{display:contents}.tip-active{color:var(--tip-active-color)}button{display:inline-flex;align-items:center;justify-content:center;cursor:pointer;border:none;background-color:var(--tip-background-color);color:var(--tip-text-color)}button:focus,button:hover{color:var(--tip-active-color)}button[disabled]{color:var(--tip-disabled-color);cursor:default}.content-wrapper{display:contents}"]
                },] }
    ];
    ItalicControlComponent.ctorParameters = function () { return [
        { type: TiptapEventService }
    ]; };

    // @dynamic
    var DialogService = /** @class */ (function () {
        function DialogService(componentFactoryResolver, appRef, injector, document) {
            this.componentFactoryResolver = componentFactoryResolver;
            this.appRef = appRef;
            this.injector = injector;
            this.document = document;
        }
        DialogService.prototype.openDialog = function (component, config) {
            if (config === void 0) { config = {}; }
            // Fill with default values
            var newConfig = Object.assign({
                type: 'dialog',
                autoClose: true,
                maxWidth: '1000px',
                width: '50%',
                backdropColor: 'var(--tip-overlay-color)',
                position: 'center'
            }, config);
            return this.createAndAttachComponent(component, newConfig, DialogComponent);
        };
        DialogService.prototype.openPopover = function (component, config) {
            var newConfig = Object.assign({
                type: 'popover',
                autoClose: true,
                maxWidth: 'auto',
                width: 'auto',
                backdropColor: 'transparent',
            }, config);
            return this.createAndAttachComponent(component, newConfig, PopoverComponent);
        };
        DialogService.prototype.removeOverlay = function (componentRef) {
            this.appRef.detachView(componentRef.hostView);
            componentRef.destroy();
        };
        DialogService.prototype.createAndAttachComponent = function (component, config, wrapperComponent) {
            var componentFactory = this.componentFactoryResolver.resolveComponentFactory(wrapperComponent);
            var dialogReference = {};
            var dialogRef = new DialogRef(component, this, dialogReference, config);
            var componentInjector = i0.Injector.create({
                providers: [
                    { provide: DIALOG_DATA, useValue: config.data },
                    { provide: DialogRef, useValue: dialogRef }
                ],
                parent: this.injector
            });
            var componentRef = componentFactory.create(componentInjector);
            dialogReference.component = componentRef;
            this.appRef.attachView(componentRef.hostView);
            var domElement = componentRef.hostView.rootNodes[0];
            this.document.body.appendChild(domElement);
            return dialogRef;
        };
        return DialogService;
    }());
    DialogService.ɵprov = i0__namespace.ɵɵdefineInjectable({ factory: function DialogService_Factory() { return new DialogService(i0__namespace.ɵɵinject(i0__namespace.ComponentFactoryResolver), i0__namespace.ɵɵinject(i0__namespace.ApplicationRef), i0__namespace.ɵɵinject(i0__namespace.INJECTOR), i0__namespace.ɵɵinject(i1__namespace.DOCUMENT)); }, token: DialogService, providedIn: "root" });
    DialogService.decorators = [
        { type: i0.Injectable, args: [{ providedIn: 'root' },] }
    ];
    DialogService.ctorParameters = function () { return [
        { type: i0.ComponentFactoryResolver },
        { type: i0.ApplicationRef },
        { type: i0.Injector },
        { type: Document, decorators: [{ type: i0.Inject, args: [i1.DOCUMENT,] }] }
    ]; };

    var LinkPreviewComponent = /** @class */ (function () {
        function LinkPreviewComponent(dialogRef, link) {
            this.dialogRef = dialogRef;
            this.link = link;
        }
        LinkPreviewComponent.prototype.deleteLink = function () {
            this.dialogRef.closeDialog('delete');
        };
        return LinkPreviewComponent;
    }());
    LinkPreviewComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-link-preview',
                    template: "\n    <div class=\"flex\">\n      <a class=\"v-center link-text\" target=\"_blank\" [href]=\"link\">\n        {{link}}\n      </a>\n      <i class=\"material-icons pointer\" (click)=\"deleteLink()\">delete</i>\n    </div>\n  ",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush
                },] }
    ];
    LinkPreviewComponent.ctorParameters = function () { return [
        { type: DialogRef },
        { type: String, decorators: [{ type: i0.Inject, args: [DIALOG_DATA,] }] }
    ]; };

    // @dynamic
    var LinkSelectComponent = /** @class */ (function () {
        function LinkSelectComponent(dialogRef, data) {
            this.dialogRef = dialogRef;
            this.data = data;
            this.error = null;
            this.urlRegex = new RegExp('^(https?:\\/\\/)?' + // protocol
                '((([a-z\\d]([a-z\\d-]*[a-z\\d])*)\\.)+[a-z]{2,}|' + // domain name
                '((\\d{1,3}\\.){3}\\d{1,3}))' + // OR ip (v4) address
                '(\\:\\d+)?(\\/[-a-z\\d%_.~+]*)*' + // port and path
                '(\\?[;&a-z\\d%_.~+=-]*)?' + // query string
                '(\\#[-a-z\\d_]*)?$', 'i');
        }
        LinkSelectComponent.prototype.submit = function (value, event) {
            // Stop selected text being replaced by the enter
            event && event.preventDefault();
            if (!/^(https?:\/\/).*/.test(value))
                value = "https://" + value;
            if (this.urlRegex.test(value)) {
                this.dialogRef.closeDialog(value);
            }
            else {
                this.error = 'Invalid URL';
            }
        };
        return LinkSelectComponent;
    }());
    LinkSelectComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-link-select',
                    template: "\n    <h4 class=\"no-margin light-font small-padding-bottom\">{{data?.popupText}}</h4>\n    <input class=\"tip-input\" [placeholder]=\"data?.inputPlaceholder\" tipAutofocus type=\"text\" #input\n           (keydown.enter)=\"submit(input.value, $event)\">\n    <br>\n    <small style=\"color: var(--tip-warn-color)\" *ngIf=\"error\">{{error}}</small>\n    <div class=\"align-right small-padding-top\">\n      <button class=\"tip-button\" (click)=\"submit(input.value)\">Submit</button>\n    </div>\n  ",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush
                },] }
    ];
    LinkSelectComponent.ctorParameters = function () { return [
        { type: DialogRef },
        { type: undefined, decorators: [{ type: i0.Inject, args: [DIALOG_DATA,] }] }
    ]; };

    // @dynamic
    var LinkControlComponent = /** @class */ (function (_super) {
        __extends(LinkControlComponent, _super);
        function LinkControlComponent(dialogService, eventService, ngZone, document) {
            var _this = _super.call(this) || this;
            _this.dialogService = dialogService;
            _this.eventService = eventService;
            _this.ngZone = ngZone;
            _this.document = document;
            _this.popupText = 'Input your link';
            _this.inputPlaceholder = 'Input link';
            _this.tooltipRef = null;
            return _this;
        }
        LinkControlComponent.prototype.onEditorReady = function (editor) {
            var _this = this;
            this.eventService.registerShortcut('Mod-k')
                .pipe(operators.tap(function (e) { return e.preventDefault(); }), asyncFilter(function () { return _this.can(); }), operators.takeUntil(this.destroy$))
                .subscribe(function (e) {
                e.preventDefault();
                _this.openLinkDialog();
            });
            fromEditorEvent(editor, 'transaction').pipe(operators.takeUntil(this.destroy$)).subscribe(function (_b) {
                var e = _b.editor;
                return _this.openLinkPreview(e);
            });
            fromEditorEvent(editor, 'blur').pipe(operators.filter(function () { return !!_this.tooltipRef; }), operators.delay(500), operators.takeUntil(this.destroy$)).subscribe(function () { return _this.closeLinkPreview(); });
        };
        LinkControlComponent.prototype.openLinkDialog = function () {
            return __awaiter(this, void 0, void 0, function () {
                var link, data, ref, result;
                var _this = this;
                return __generator(this, function (_b) {
                    switch (_b.label) {
                        case 0:
                            if (!this.editor)
                                return [2 /*return*/];
                            link = this.editor.getAttributes('link');
                            data = link.href ? link.href : null;
                            ref = this.ngZone.run(function () { return _this.dialogService.openDialog(LinkSelectComponent, {
                                width: 'auto', data: {
                                    link: data,
                                    popupText: _this.popupText,
                                    inputPlaceholder: _this.inputPlaceholder
                                }
                            }); });
                            return [4 /*yield*/, ref.result$.toPromise()];
                        case 1:
                            result = _b.sent();
                            if (result.status === 'canceled')
                                return [2 /*return*/];
                            this.editor.chain().focus().setLink({ href: result.data }).run();
                            return [2 /*return*/];
                    }
                });
            });
        };
        LinkControlComponent.prototype.can = function () {
            var _a;
            return __awaiter(this, void 0, void 0, function () {
                var selection;
                return __generator(this, function (_b) {
                    switch (_b.label) {
                        case 0: return [4 /*yield*/, sleep(0)];
                        case 1:
                            _b.sent();
                            if (!this.editor)
                                return [2 /*return*/, false];
                            selection = this.editor.state.selection;
                            if (selection.from === selection.to)
                                return [2 /*return*/, false];
                            return [2 /*return*/, !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.can().setLink({ href: '' })) && !this.isActive()];
                    }
                });
            });
        };
        LinkControlComponent.prototype.isActive = function () {
            return !!this.editor && 'href' in this.editor.getAttributes('link');
        };
        LinkControlComponent.prototype.openLinkPreview = function (editor) {
            return __awaiter(this, void 0, void 0, function () {
                var link, linkElement, position, result;
                var _this = this;
                return __generator(this, function (_b) {
                    switch (_b.label) {
                        case 0:
                            if (
                            // Not active
                            !this.isActive() ||
                                // Text selection
                                editor.view.state.selection.from !== editor.view.state.selection.to) {
                                return [2 /*return*/, this.closeLinkPreview()];
                            }
                            // Already open
                            if (this.tooltipRef)
                                return [2 /*return*/];
                            link = editor.getAttributes('link').href;
                            linkElement = this.getLinkElement(link);
                            if (!linkElement)
                                return [2 /*return*/, this.closeLinkPreview()];
                            position = linkElement.getBoundingClientRect();
                            this.tooltipRef = this.ngZone.run(function () { return _this.dialogService.openPopover(LinkPreviewComponent, {
                                position: {
                                    x: position.x + position.width / 2,
                                    y: position.y
                                },
                                data: link
                            }); });
                            return [4 /*yield*/, this.tooltipRef.result$.toPromise()];
                        case 1:
                            result = _b.sent();
                            if (result.data === 'delete' && this.editor)
                                this.editor.chain().focus().unsetLink().run();
                            this.closeLinkPreview();
                            return [2 /*return*/];
                    }
                });
            });
        };
        LinkControlComponent.prototype.getLinkElement = function (link) {
            var linkSelector = 'a';
            if (link)
                linkSelector = "a[href=\"" + link + "\"]";
            // Get current selection
            var selection = this.document.getSelection();
            // Check if the link element can be found
            if (!selection || !selection.anchorNode || !selection.anchorNode.parentElement)
                return null;
            // Get the link element and query for it if the parent node is not a link
            var startElement = selection.anchorNode.parentElement;
            var newLinkElement = startElement;
            if (newLinkElement.tagName !== 'A')
                newLinkElement = startElement.querySelector(linkSelector);
            if (!newLinkElement)
                newLinkElement = startElement.closest(linkSelector);
            if (!newLinkElement)
                return null;
            return newLinkElement;
        };
        LinkControlComponent.prototype.closeLinkPreview = function () {
            var _this = this;
            if (this.tooltipRef) {
                this.ngZone.run(function () {
                    _this.tooltipRef.closeDialog(null);
                    _this.tooltipRef = null;
                });
            }
        };
        return LinkControlComponent;
    }(ButtonBaseControl));
    LinkControlComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-link-control',
                    template: "\n    <button (click)=\"openLinkDialog()\" disabled #button>\n      <div class=\"content-wrapper\" #ref>\n        <ng-content #ref></ng-content>\n      </div>\n      <i *ngIf=\"ref.childNodes.length === 0\" class=\"material-icons\">link</i>\n    </button>",
                    providers: [{ provide: BaseControl, useExisting: i0.forwardRef(function () { return LinkControlComponent; }) }],
                    styles: [":host-context{display:contents}.tip-active{color:var(--tip-active-color)}button{display:inline-flex;align-items:center;justify-content:center;cursor:pointer;border:none;background-color:var(--tip-background-color);color:var(--tip-text-color)}button:focus,button:hover{color:var(--tip-active-color)}button[disabled]{color:var(--tip-disabled-color);cursor:default}.content-wrapper{display:contents}"]
                },] }
    ];
    LinkControlComponent.ctorParameters = function () { return [
        { type: DialogService },
        { type: TiptapEventService },
        { type: i0.NgZone },
        { type: Document, decorators: [{ type: i0.Inject, args: [i1.DOCUMENT,] }] }
    ]; };
    LinkControlComponent.propDecorators = {
        popupText: [{ type: i0.Input }],
        inputPlaceholder: [{ type: i0.Input }]
    };

    var NumberListControlComponent = /** @class */ (function (_super) {
        __extends(NumberListControlComponent, _super);
        function NumberListControlComponent(eventService) {
            var _this = _super.call(this) || this;
            _this.eventService = eventService;
            return _this;
        }
        NumberListControlComponent.prototype.toggleList = function () {
            this.editor && this.editor.chain().focus().toggleOrderedList().run();
        };
        NumberListControlComponent.prototype.can = function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.can().toggleOrderedList());
        };
        NumberListControlComponent.prototype.isActive = function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.isActive('orderedList'));
        };
        return NumberListControlComponent;
    }(ButtonBaseControl));
    NumberListControlComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-number-list-control',
                    template: "\n    <button (click)=\"toggleList()\" #button>\n      <div class=\"content-wrapper\" #ref>\n        <ng-content #ref></ng-content>\n      </div>\n      <i *ngIf=\"ref.childNodes.length === 0\" class=\"material-icons\">format_list_numbered</i>\n    </button>",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    providers: [{ provide: BaseControl, useExisting: i0.forwardRef(function () { return NumberListControlComponent; }) }],
                    styles: [":host-context{display:contents}.tip-active{color:var(--tip-active-color)}button{display:inline-flex;align-items:center;justify-content:center;cursor:pointer;border:none;background-color:var(--tip-background-color);color:var(--tip-text-color)}button:focus,button:hover{color:var(--tip-active-color)}button[disabled]{color:var(--tip-disabled-color);cursor:default}.content-wrapper{display:contents}"]
                },] }
    ];
    NumberListControlComponent.ctorParameters = function () { return [
        { type: TiptapEventService }
    ]; };

    var StrikeControlComponent = /** @class */ (function (_super) {
        __extends(StrikeControlComponent, _super);
        function StrikeControlComponent(eventService) {
            var _this = _super.call(this) || this;
            _this.eventService = eventService;
            return _this;
        }
        StrikeControlComponent.prototype.toggleList = function () {
            this.editor && this.editor.chain().focus().toggleStrike().run();
        };
        StrikeControlComponent.prototype.can = function () {
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.can().toggleStrike());
        };
        StrikeControlComponent.prototype.isActive = function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.isActive('strike'));
        };
        return StrikeControlComponent;
    }(ButtonBaseControl));
    StrikeControlComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-strike-control',
                    template: "\n    <button (click)=\"toggleList()\" #button>\n      <div class=\"content-wrapper\" #ref>\n        <ng-content #ref></ng-content>\n      </div>\n      <i *ngIf=\"ref.childNodes.length === 0\" class=\"material-icons\">format_strikethrough</i>\n    </button>",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    providers: [{ provide: BaseControl, useExisting: i0.forwardRef(function () { return StrikeControlComponent; }) }],
                    styles: [":host-context{display:contents}.tip-active{color:var(--tip-active-color)}button{display:inline-flex;align-items:center;justify-content:center;cursor:pointer;border:none;background-color:var(--tip-background-color);color:var(--tip-text-color)}button:focus,button:hover{color:var(--tip-active-color)}button[disabled]{color:var(--tip-disabled-color);cursor:default}.content-wrapper{display:contents}"]
                },] }
    ];
    StrikeControlComponent.ctorParameters = function () { return [
        { type: TiptapEventService }
    ]; };

    var TextAlignControlComponent = /** @class */ (function (_super) {
        __extends(TextAlignControlComponent, _super);
        function TextAlignControlComponent(eventService) {
            var _this = _super.call(this) || this;
            _this.eventService = eventService;
            _this.canStyleParams = ['left', 'right', 'center', 'justify'];
            return _this;
        }
        TextAlignControlComponent.prototype.setAlign = function (alignment) {
            this.editor && this.editor.chain().focus().setTextAlign(alignment).run();
        };
        TextAlignControlComponent.prototype.canStyle = function (alignment) {
            if (!this.editor)
                return false;
            return this.editor.can().setTextAlign(alignment);
        };
        TextAlignControlComponent.prototype.currentActive = function () {
            if (this.editor) {
                if (this.editor.isActive({ textAlign: 'left' }))
                    return 'left';
                if (this.editor.isActive({ textAlign: 'right' }))
                    return 'right';
                if (this.editor.isActive({ textAlign: 'center' }))
                    return 'center';
                if (this.editor.isActive({ textAlign: 'justify' }))
                    return 'justify';
            }
            return null;
        };
        return TextAlignControlComponent;
    }(SelectBaseControl));
    TextAlignControlComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-text-align-control',
                    template: "\n    <tip-select defaultValue=\"left\" width=\"auto\" [showIcon]=\"false\"\n                (change)=\"setAlign($event)\">\n      <tip-option value=\"left\" [useHtml]=\"true\" [enforceHeight]=\"true\">\n        <i class=\"material-icons\">format_align_left</i>\n      </tip-option>\n      <tip-option value=\"right\" [useHtml]=\"true\" [enforceHeight]=\"true\">\n        <i class=\"material-icons\">format_align_right</i>\n      </tip-option>\n      <tip-option value=\"center\" [useHtml]=\"true\" [enforceHeight]=\"true\">\n        <i class=\"material-icons\">format_align_center</i>\n      </tip-option>\n      <tip-option value=\"justify\" [useHtml]=\"true\" [enforceHeight]=\"true\">\n        <i class=\"material-icons\">format_align_justify</i>\n      </tip-option>\n    </tip-select>\n  ",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    providers: [{ provide: BaseControl, useExisting: i0.forwardRef(function () { return TextAlignControlComponent; }) }],
                    styles: [":host-context{display:contents}.tip-active{color:var(--tip-active-color)}button{display:inline-flex;align-items:center;justify-content:center;cursor:pointer;border:none;background-color:var(--tip-background-color);color:var(--tip-text-color)}button:focus,button:hover{color:var(--tip-active-color)}button[disabled]{color:var(--tip-disabled-color);cursor:default}.content-wrapper{display:contents}"]
                },] }
    ];
    TextAlignControlComponent.ctorParameters = function () { return [
        { type: TiptapEventService }
    ]; };

    var UnderlineControlComponent = /** @class */ (function (_super) {
        __extends(UnderlineControlComponent, _super);
        function UnderlineControlComponent(eventService) {
            var _this = _super.call(this) || this;
            _this.eventService = eventService;
            return _this;
        }
        UnderlineControlComponent.prototype.toggleUnderline = function () {
            this.editor && this.editor.chain().focus().toggleUnderline().run();
        };
        UnderlineControlComponent.prototype.can = function () {
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.can().toggleUnderline());
        };
        UnderlineControlComponent.prototype.isActive = function () {
            var _a;
            return !!((_a = this.editor) === null || _a === void 0 ? void 0 : _a.isActive('underline'));
        };
        return UnderlineControlComponent;
    }(ButtonBaseControl));
    UnderlineControlComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-underline-control',
                    template: "\n    <button (click)=\"toggleUnderline()\" #button>\n      <div class=\"content-wrapper\" #ref>\n        <ng-content #ref></ng-content>\n      </div>\n      <i *ngIf=\"ref.childNodes.length === 0\" class=\"material-icons\">format_underline</i>\n    </button>\n  ",
                    providers: [{ provide: BaseControl, useExisting: i0.forwardRef(function () { return UnderlineControlComponent; }) }],
                    styles: [":host-context{display:contents}.tip-active{color:var(--tip-active-color)}button{display:inline-flex;align-items:center;justify-content:center;cursor:pointer;border:none;background-color:var(--tip-background-color);color:var(--tip-text-color)}button:focus,button:hover{color:var(--tip-active-color)}button[disabled]{color:var(--tip-disabled-color);cursor:default}.content-wrapper{display:contents}"]
                },] }
    ];
    UnderlineControlComponent.ctorParameters = function () { return [
        { type: TiptapEventService }
    ]; };

    var EditorHeaderComponent = /** @class */ (function () {
        function EditorHeaderComponent() {
            this.editor = null;
            this.children = null;
        }
        EditorHeaderComponent.prototype.setEditor = function (tiptapEditor) {
            this.editor = tiptapEditor;
            this.passEditorToControls();
        };
        EditorHeaderComponent.prototype.passEditorToControls = function () {
            var _this = this;
            this.children && this.children.forEach(function (control) { return _this.editor && control.setEditor(_this.editor); });
        };
        return EditorHeaderComponent;
    }());
    EditorHeaderComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-editor-header',
                    template: "\n    <div class=\"controls-row\">\n      <ng-content></ng-content>\n    </div>\n  ",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    styles: [".controls-row{display:flex;align-items:center;flex-wrap:wrap;box-sizing:border-box;min-height:var(--tip-header-height);padding:var(--tip-header-padding);border:1px solid var(--tip-border-color);border-bottom:none}"]
                },] }
    ];
    EditorHeaderComponent.propDecorators = {
        children: [{ type: i0.ContentChildren, args: [BaseControl,] }]
    };

    var ControlBreakLineComponent = /** @class */ (function () {
        function ControlBreakLineComponent() {
        }
        return ControlBreakLineComponent;
    }());
    ControlBreakLineComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-control-break-line',
                    template: "",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    styles: [":host-context {\n    flex-basis: 100%;\n  }"]
                },] }
    ];

    var ControlHorizontalDividerComponent = /** @class */ (function () {
        function ControlHorizontalDividerComponent() {
        }
        return ControlHorizontalDividerComponent;
    }());
    ControlHorizontalDividerComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-control-horizontal-divider',
                    template: "\n    <hr>",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    styles: ["\n    :host-context {\n      display: contents;\n    }\n\n    hr {\n      flex-basis: calc(100% + var(--tip-header-padding) * 2);\n      margin: var(--tip-header-padding) calc(var(--tip-header-padding) * -1);\n      border: none;\n      border-top: solid 1px var(--tip-border-color);\n    }"]
                },] }
    ];

    var ControlSpacerComponent = /** @class */ (function () {
        function ControlSpacerComponent() {
        }
        return ControlSpacerComponent;
    }());
    ControlSpacerComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-control-spacer',
                    template: "",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    styles: [":host-context {\n    flex-grow: 1;\n  }"]
                },] }
    ];

    var ControlVerticalDividerComponent = /** @class */ (function () {
        function ControlVerticalDividerComponent() {
        }
        return ControlVerticalDividerComponent;
    }());
    ControlVerticalDividerComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-control-vertical-divider',
                    template: "",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    styles: [":host-context {\n    width: 1px;\n    border-left: solid 1px var(--tip-border-color);\n    height: var(--tip-header-height);\n    margin-top: calc(var(--tip-header-padding) * -1);\n    margin-bottom: calc(var(--tip-header-padding) * -1);\n  }"]
                },] }
    ];

    var loadCore = function () { return __awaiter(void 0, void 0, void 0, function () {
        var _a;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    _a = {};
                    return [4 /*yield*/, import('@tiptap/core')];
                case 1: return [2 /*return*/, (_a.tiptapCore = _b.sent(),
                        _a)];
            }
        });
    }); };

    var TiptapService = /** @class */ (function () {
        function TiptapService(ngZone, extensionLoader) {
            this.ngZone = ngZone;
            this.extensionLoader = extensionLoader;
            this.tiptapCore = null;
            this.extensionPromise = null;
        }
        TiptapService.prototype.getEditor = function (editorElement, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(this, void 0, void 0, function () {
                var tipTapModule;
                var _this = this;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.getTipTap()];
                        case 1:
                            tipTapModule = _a.sent();
                            return [2 /*return*/, this.ngZone.runOutsideAngular(function () { return __awaiter(_this, void 0, void 0, function () {
                                    var _a, _b, _c, _d, _e, _f;
                                    return __generator(this, function (_g) {
                                        switch (_g.label) {
                                            case 0:
                                                _b = (_a = tipTapModule.Editor).bind;
                                                _d = (_c = Object).assign;
                                                _e = [Object.assign({}, options)];
                                                _f = { element: editorElement };
                                                return [4 /*yield*/, this.getExtensions()];
                                            case 1: return [2 /*return*/, new (_b.apply(_a, [void 0, _d.apply(_c, _e.concat([(_f.extensions = _g.sent(), _f)]))]))()];
                                        }
                                    });
                                }); })];
                    }
                });
            });
        };
        TiptapService.prototype.getExtensions = function () {
            if (!this.extensionPromise) {
                this.extensionPromise = this.extensionLoader.load();
            }
            return this.extensionPromise;
        };
        TiptapService.prototype.getTipTap = function () {
            return this.loadTiptapCore().then(function (CORE) { return CORE.tiptapCore; });
        };
        TiptapService.prototype.loadTiptapCore = function () {
            if (!this.tiptapCore) {
                this.tiptapCore = loadCore();
            }
            return this.tiptapCore;
        };
        return TiptapService;
    }());
    TiptapService.ɵprov = i0__namespace.ɵɵdefineInjectable({ factory: function TiptapService_Factory() { return new TiptapService(i0__namespace.ɵɵinject(i0__namespace.NgZone), i0__namespace.ɵɵinject(TIP_TAP_EXTENSIONS)); }, token: TiptapService, providedIn: "root" });
    TiptapService.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    TiptapService.ctorParameters = function () { return [
        { type: i0.NgZone },
        { type: undefined, decorators: [{ type: i0.Inject, args: [TIP_TAP_EXTENSIONS,] }] }
    ]; };

    var EditorPreviewComponent = /** @class */ (function () {
        function EditorPreviewComponent(tiptapService, domSanitizer, renderer) {
            this.tiptapService = tiptapService;
            this.domSanitizer = domSanitizer;
            this.renderer = renderer;
            this.sanitizeHtml = true;
            this._content = null;
        }
        Object.defineProperty(EditorPreviewComponent.prototype, "content", {
            set: function (value) {
                this._content = value;
                this.renderOutput().then();
            },
            enumerable: false,
            configurable: true
        });
        EditorPreviewComponent.prototype.ngOnInit = function () {
            return __awaiter(this, void 0, void 0, function () {
                var _a;
                return __generator(this, function (_b) {
                    switch (_b.label) {
                        case 0:
                            _a = this;
                            return [4 /*yield*/, this.tiptapService.getTipTap()];
                        case 1:
                            _a.tipTap = _b.sent();
                            return [2 /*return*/];
                    }
                });
            });
        };
        EditorPreviewComponent.prototype.ngAfterViewInit = function () {
            return this.renderOutput();
        };
        EditorPreviewComponent.prototype.renderOutput = function (content) {
            if (content === void 0) { content = this._content; }
            return __awaiter(this, void 0, void 0, function () {
                var html, _a, _b, _c;
                return __generator(this, function (_d) {
                    switch (_d.label) {
                        case 0:
                            if (!this.contentOutlet)
                                return [2 /*return*/];
                            html = '';
                            if (!(typeof content === 'string')) return [3 /*break*/, 1];
                            html = content;
                            return [3 /*break*/, 3];
                        case 1:
                            if (!content) return [3 /*break*/, 3];
                            _b = (_a = this.tipTap).generateHTML;
                            _c = [content];
                            return [4 /*yield*/, this.tiptapService.getExtensions()];
                        case 2:
                            html = _b.apply(_a, _c.concat([_d.sent()]));
                            _d.label = 3;
                        case 3:
                            if (this.sanitizeHtml) {
                                html = this.domSanitizer.sanitize(i0.SecurityContext.HTML, html);
                            }
                            this.renderer.setProperty(this.contentOutlet.nativeElement, 'innerHTML', html);
                            return [2 /*return*/];
                    }
                });
            });
        };
        return EditorPreviewComponent;
    }());
    EditorPreviewComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-editor-preview',
                    template: "\n    <div #contentOutlet></div>",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    styles: [""]
                },] }
    ];
    EditorPreviewComponent.ctorParameters = function () { return [
        { type: TiptapService },
        { type: platformBrowser.DomSanitizer },
        { type: i0.Renderer2 }
    ]; };
    EditorPreviewComponent.propDecorators = {
        content: [{ type: i0.Input }],
        contentOutlet: [{ type: i0.ViewChild, args: ['contentOutlet',] }],
        sanitizeHtml: [{ type: i0.Input }]
    };

    // tslint:disable:no-output-native
    var EditorComponent = /** @class */ (function () {
        function EditorComponent(tiptapService, ngZone, element, platformId, dialogService, eventService) {
            this.tiptapService = tiptapService;
            this.ngZone = ngZone;
            this.element = element;
            this.platformId = platformId;
            // Content change
            this.jsonChange = new i0.EventEmitter();
            this.htmlChange = new i0.EventEmitter();
            // Editor set
            this.created = new i0.EventEmitter();
            // Editor events
            this.beforeCreate = new i0.EventEmitter();
            this.create = new i0.EventEmitter();
            this.update = new i0.EventEmitter();
            this.selectionUpdate = new i0.EventEmitter();
            this.transaction = new i0.EventEmitter();
            this.focus = new i0.EventEmitter();
            this.blur = new i0.EventEmitter();
            this.destroy = new i0.EventEmitter();
            // Editor input params
            this.content = null;
            this.injectCSS = true;
            this.autofocus = true;
            this.editable = true;
            this.editorProps = {};
            this.parseOptions = {};
            this.enableInputRules = true;
            this.enablePasteRules = true;
            this.destroy$ = new rxjs.Subject();
            eventService.setElement(element.nativeElement);
        }
        Object.defineProperty(EditorComponent.prototype, "editor", {
            get: function () {
                return this.tiptap ? this.tiptap : null;
            },
            enumerable: false,
            configurable: true
        });
        EditorComponent.prototype.ngAfterViewInit = function () {
            return __awaiter(this, void 0, void 0, function () {
                var _a;
                return __generator(this, function (_b) {
                    switch (_b.label) {
                        case 0:
                            // On the serve you don't need an editor
                            if (!i1.isPlatformBrowser(this.platformId))
                                return [2 /*return*/];
                            if (!this.editorComponent) {
                                throw new Error('You have to pass the tip-editor-body as a child of the tip-editor. Otherwise you cannot see anything');
                            }
                            // Attach the editor to the editor element
                            _a = this;
                            return [4 /*yield*/, this.tiptapService.getEditor(this.editorComponent.editorElement, this.buildEditorOptions())];
                        case 1:
                            // Attach the editor to the editor element
                            _a.tiptap = _b.sent();
                            // Emit the event which indicates that the tiptap editor was created
                            this.created.emit(this.tiptap);
                            // Pass the editor the the editorBody component
                            this.editorComponent.setEditor(this.tiptap);
                            // Check if the header component was passed and if not disable it
                            this.headerComponent && this.headerComponent.setEditor(this.tiptap);
                            this.registerEvents();
                            return [2 /*return*/];
                    }
                });
            });
        };
        EditorComponent.prototype.ngOnDestroy = function () {
            this.tiptap && this.tiptap.destroy();
            this.destroy$.next(true);
            this.destroy.complete();
        };
        EditorComponent.prototype.registerEvents = function () {
            var _this = this;
            if (!this.tiptap)
                return;
            this.ngZone.runOutsideAngular(function () {
                _this.pipeTo(fromEditorEvent(_this.tiptap, 'update').pipe(operators.map(function (_a) {
                    var editor = _a.editor;
                    return editor.getJSON();
                })), _this.jsonChange);
                _this.pipeTo(fromEditorEvent(_this.tiptap, 'update').pipe(operators.map(function (_a) {
                    var editor = _a.editor;
                    return editor.getHTML();
                })), _this.htmlChange);
                _this.pipeTo(fromEditorEvent(_this.tiptap, 'beforeCreate'), _this.beforeCreate);
                _this.pipeTo(fromEditorEvent(_this.tiptap, 'create'), _this.create);
                _this.pipeTo(fromEditorEvent(_this.tiptap, 'update'), _this.update);
                _this.pipeTo(fromEditorEvent(_this.tiptap, 'selectionUpdate'), _this.selectionUpdate);
                _this.pipeTo(fromEditorEvent(_this.tiptap, 'transaction'), _this.transaction);
                _this.pipeTo(fromEditorEvent(_this.tiptap, 'focus'), _this.focus);
                _this.pipeTo(fromEditorEvent(_this.tiptap, 'blur'), _this.blur);
                _this.pipeTo(fromEditorEvent(_this.tiptap, 'destroy'), _this.destroy);
            });
        };
        EditorComponent.prototype.buildEditorOptions = function () {
            return {
                content: this.content,
                autofocus: this.autofocus,
                injectCSS: this.injectCSS,
                editable: this.editable,
                editorProps: this.editorProps,
                parseOptions: this.parseOptions,
                enableInputRules: this.enableInputRules,
                enablePasteRules: this.enablePasteRules,
            };
        };
        EditorComponent.prototype.pipeTo = function (observable, eventEmitter) {
            observable
                .pipe(operators.takeUntil(this.destroy$))
                .subscribe(function (e) { return eventEmitter.next(e); });
        };
        return EditorComponent;
    }());
    EditorComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-editor',
                    template: "\n    <ng-content select=\"tip-editor-header\"></ng-content>\n    <ng-content select=\"tip-editor-body\"></ng-content>\n  ",
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    providers: [TiptapEventService],
                    styles: [""]
                },] }
    ];
    EditorComponent.ctorParameters = function () { return [
        { type: TiptapService },
        { type: i0.NgZone },
        { type: i0.ElementRef },
        { type: undefined, decorators: [{ type: i0.Inject, args: [i0.PLATFORM_ID,] }] },
        { type: DialogService },
        { type: TiptapEventService }
    ]; };
    EditorComponent.propDecorators = {
        jsonChange: [{ type: i0.Output }],
        htmlChange: [{ type: i0.Output }],
        created: [{ type: i0.Output }],
        beforeCreate: [{ type: i0.Output }],
        create: [{ type: i0.Output }],
        update: [{ type: i0.Output }],
        selectionUpdate: [{ type: i0.Output }],
        transaction: [{ type: i0.Output }],
        focus: [{ type: i0.Output }],
        blur: [{ type: i0.Output }],
        destroy: [{ type: i0.Output }],
        content: [{ type: i0.Input }],
        injectCSS: [{ type: i0.Input }],
        autofocus: [{ type: i0.Input }],
        editable: [{ type: i0.Input }],
        editorProps: [{ type: i0.Input }],
        parseOptions: [{ type: i0.Input }],
        enableInputRules: [{ type: i0.Input }],
        enablePasteRules: [{ type: i0.Input }],
        editorComponent: [{ type: i0.ContentChild, args: [EditorBodyComponent,] }],
        headerComponent: [{ type: i0.ContentChild, args: [EditorHeaderComponent,] }]
    };

    var SideBySideComponent = /** @class */ (function () {
        function SideBySideComponent() {
            this.destroy$ = new rxjs.Subject();
        }
        SideBySideComponent.prototype.ngAfterViewInit = function () {
            var _this = this;
            this.editor.jsonChange
                .pipe(operators.takeUntil(this.destroy$))
                .subscribe(function (content) {
                _this.preview.renderOutput(content);
            });
        };
        SideBySideComponent.prototype.ngOnDestroy = function () {
            this.destroy$.next(true);
            this.destroy$.complete();
        };
        return SideBySideComponent;
    }());
    SideBySideComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'tip-side-by-side',
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    template: "\n    <ng-content select=\"tip-editor\"></ng-content>\n    <div class=\"preview-wrapper\">\n      <div class=\"preview-heading v-center h-center\">\n        <h2 class=\"no-margin\">Preview</h2>\n      </div>\n      <ng-content select=\"tip-editor-preview\"></ng-content>\n    </div>\n  ",
                    styles: ["\n    :host-context {\n      display: flex;\n      width: 100%;\n    }\n\n    .preview-heading {\n      border-bottom: solid 1px var(--tip-border-color);\n      padding: var(--tip-header-padding);\n      height: var(--tip-header-height);\n      box-sizing: border-box;\n    }\n\n    .preview-wrapper {\n      border: solid 1px var(--tip-border-color);\n      border-left: none;\n      width: 50%;\n    }\n\n    ::ng-deep tip-side-by-side > tip-editor {\n      width: 50%;\n    }\n  "]
                },] }
    ];
    SideBySideComponent.propDecorators = {
        editor: [{ type: i0.ContentChild, args: [EditorComponent,] }],
        preview: [{ type: i0.ContentChild, args: [EditorPreviewComponent,] }]
    };

    var AutofocusDirective = /** @class */ (function () {
        function AutofocusDirective(element, ngZone) {
            this.element = element;
            this.ngZone = ngZone;
            this.enable = true;
        }
        AutofocusDirective.prototype.ngAfterViewInit = function () {
            var _this = this;
            if (typeof this.enable === 'string' || this.enable) {
                this.ngZone.runOutsideAngular(function () { return setTimeout(function () { return _this.element.nativeElement.focus(); }); });
            }
        };
        return AutofocusDirective;
    }());
    AutofocusDirective.decorators = [
        { type: i0.Directive, args: [{
                    selector: '[tipAutofocus]'
                },] }
    ];
    AutofocusDirective.ctorParameters = function () { return [
        { type: i0.ElementRef },
        { type: i0.NgZone }
    ]; };
    AutofocusDirective.propDecorators = {
        enable: [{ type: i0.Input, args: ['tipAutofocus',] }]
    };

    var NgxTipTapEditorModule = /** @class */ (function () {
        function NgxTipTapEditorModule() {
        }
        return NgxTipTapEditorModule;
    }());
    NgxTipTapEditorModule.decorators = [
        { type: i0.NgModule, args: [{
                    declarations: [
                        // Editor
                        EditorComponent,
                        EditorBodyComponent,
                        EditorHeaderComponent,
                        // Preview
                        EditorPreviewComponent,
                        SideBySideComponent,
                        // Control alignment
                        ControlBreakLineComponent,
                        ControlHorizontalDividerComponent,
                        ControlSpacerComponent,
                        ControlVerticalDividerComponent,
                        // Controls
                        BoldControlComponent,
                        BulletListControlComponent,
                        CodeBlockControlComponent,
                        CodeControlComponent,
                        FormatControlComponent,
                        HorizontalRuleControlComponent,
                        ItalicControlComponent,
                        NumberListControlComponent,
                        StrikeControlComponent,
                        TextAlignControlComponent,
                        UnderlineControlComponent,
                        LinkControlComponent,
                        // Common
                        OptionComponent,
                        SelectComponent,
                        DialogComponent,
                        // Private
                        LinkSelectComponent,
                        AutofocusDirective,
                        LinkPreviewComponent,
                        PopoverComponent
                    ],
                    imports: [
                        i1.CommonModule,
                        animations$1.BrowserAnimationsModule,
                        platformBrowser.BrowserModule,
                        forms.FormsModule
                    ],
                    exports: [
                        // Editor
                        EditorComponent,
                        EditorBodyComponent,
                        EditorHeaderComponent,
                        // Preview
                        EditorPreviewComponent,
                        SideBySideComponent,
                        // Control alignment
                        ControlBreakLineComponent,
                        ControlHorizontalDividerComponent,
                        ControlSpacerComponent,
                        ControlVerticalDividerComponent,
                        // Controls
                        BoldControlComponent,
                        BulletListControlComponent,
                        CodeBlockControlComponent,
                        CodeControlComponent,
                        FormatControlComponent,
                        HorizontalRuleControlComponent,
                        ItalicControlComponent,
                        NumberListControlComponent,
                        StrikeControlComponent,
                        TextAlignControlComponent,
                        UnderlineControlComponent,
                        LinkControlComponent,
                        // Common
                        OptionComponent,
                        SelectComponent,
                    ],
                    providers: []
                },] }
    ];

    /*
     * Public API Surface of ngx-tiptap-editor
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.BaseControl = BaseControl;
    exports.BoldControlComponent = BoldControlComponent;
    exports.BulletListControlComponent = BulletListControlComponent;
    exports.CodeBlockControlComponent = CodeBlockControlComponent;
    exports.CodeControlComponent = CodeControlComponent;
    exports.ControlBreakLineComponent = ControlBreakLineComponent;
    exports.ControlHorizontalDividerComponent = ControlHorizontalDividerComponent;
    exports.ControlSpacerComponent = ControlSpacerComponent;
    exports.ControlVerticalDividerComponent = ControlVerticalDividerComponent;
    exports.EditorBodyComponent = EditorBodyComponent;
    exports.EditorComponent = EditorComponent;
    exports.EditorHeaderComponent = EditorHeaderComponent;
    exports.EditorPreviewComponent = EditorPreviewComponent;
    exports.FormatControlComponent = FormatControlComponent;
    exports.HorizontalRuleControlComponent = HorizontalRuleControlComponent;
    exports.ItalicControlComponent = ItalicControlComponent;
    exports.LinkControlComponent = LinkControlComponent;
    exports.NgxTipTapEditorModule = NgxTipTapEditorModule;
    exports.NumberListControlComponent = NumberListControlComponent;
    exports.OptionComponent = OptionComponent;
    exports.SelectComponent = SelectComponent;
    exports.SideBySideComponent = SideBySideComponent;
    exports.StrikeControlComponent = StrikeControlComponent;
    exports.TIP_TAP_EXTENSIONS = TIP_TAP_EXTENSIONS;
    exports.TextAlignControlComponent = TextAlignControlComponent;
    exports.UnderlineControlComponent = UnderlineControlComponent;
    exports.extensionLoaderFactory = extensionLoaderFactory;
    exports.ɵb = ExtendedBaseControl;
    exports.ɵc = ButtonBaseControl;
    exports.ɵd = SelectBaseControl;
    exports.ɵe = TiptapEventService;
    exports.ɵf = TiptapService;
    exports.ɵg = DialogService;
    exports.ɵh = FadeInAnimation;
    exports.ɵi = ExpandHeight;
    exports.ɵj = DialogComponent;
    exports.ɵk = DIALOG_DATA;
    exports.ɵl = DialogRef;
    exports.ɵm = DialogBaseClass;
    exports.ɵn = PopOverPopUpAnimation;
    exports.ɵo = OverlayPopUpAnimation;
    exports.ɵp = LinkSelectComponent;
    exports.ɵq = AutofocusDirective;
    exports.ɵr = LinkPreviewComponent;
    exports.ɵs = PopoverComponent;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=ngx-tiptap-editor.umd.js.map
