import { ChangeDetectorRef } from '@angular/core';
import type { Editor } from '@tiptap/core';
import { HeadingLevel } from '../../../models/types';
import { TiptapEventService } from '../../../services/tiptap-event.service';
import { SelectBaseControl } from './base-control';
export declare class FormatControlComponent extends SelectBaseControl {
    protected eventService: TiptapEventService;
    private cd;
    levels: HeadingLevel[];
    headingHtml: Record<number, string>;
    protected canStyleParams: (number | string)[];
    constructor(eventService: TiptapEventService, cd: ChangeDetectorRef);
    setEditor(editor: Editor): void;
    selectTextLevel(format: number | string): void;
    protected canStyle(format: number | string): boolean;
    protected currentActive(): string | number | null;
    private setParagraph;
    private setHeading;
}
