import { NgZone, OnInit } from '@angular/core';
import type { Editor } from '@tiptap/core';
import { DialogService } from '../../../services/dialog.service';
import { TiptapEventService } from '../../../services/tiptap-event.service';
import { ButtonBaseControl } from './base-control';
export declare class LinkControlComponent extends ButtonBaseControl implements OnInit {
    private dialogService;
    protected eventService: TiptapEventService;
    private ngZone;
    private document;
    popupText: string;
    inputPlaceholder: string;
    private tooltipRef;
    constructor(dialogService: DialogService, eventService: TiptapEventService, ngZone: NgZone, document: Document);
    onEditorReady(editor: Editor): void;
    openLinkDialog(): Promise<void>;
    can(): Promise<boolean>;
    protected isActive(): boolean;
    private openLinkPreview;
    private getLinkElement;
    private closeLinkPreview;
}
