import { InjectionToken } from '@angular/core';
import type { Extension, Mark } from '@tiptap/core';
export declare const TIP_TAP_EXTENSIONS: InjectionToken<(promiseExtensionList: LibraryImport) => {
    load: () => Promise<(Mark<any> | Extension<any>)[]>;
}>;
export declare type LibraryImport = () => Promise<{
    default: ({
        default: (Extension | Mark);
    })[];
}>;
export declare type ExtensionLoader = ReturnType<typeof extensionLoaderFactory>;
export declare type ExtensionLoaderFactory = typeof extensionLoaderFactory;
export declare const extensionLoaderFactory: (promiseExtensionList: LibraryImport) => {
    load: () => Promise<(Mark<any> | Extension<any>)[]>;
};
