import { NgZone } from '@angular/core';
import { Observable } from 'rxjs';
export declare class TiptapEventService {
    private ngZone;
    private clickSubject;
    private keyboardSubject;
    private clickSubscription;
    private keyboardSubscription;
    update$: Observable<MouseEvent | KeyboardEvent>;
    onClick$: Observable<MouseEvent>;
    onKeyboard$: Observable<KeyboardEvent>;
    constructor(ngZone: NgZone);
    registerShortcut(shortcut: string): Observable<KeyboardEvent>;
    setElement(element: HTMLDivElement): void;
}
